tigase.server

## Class DataForm.Field.Builder

- java.lang.Object
- - tigase.server.DataForm.Field.Builder

- Enclosing class:
    DataForm.Field

      public static class DataForm.Field.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Element form, DataForm.FieldType type, String var)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataForm.Field.Builder` | `addOption(String value)`
    `DataForm.Field.Builder` | `addOption(String value, String label)`
    `Element` | `build()`
    `DataForm.Field.Builder` | `setDesc(String desc)`
    `DataForm.Field.Builder` | `setLabel(String label)`
    `DataForm.Field.Builder` | `setOptions(String[] values)`
    `DataForm.Field.Builder` | `setOptions(String[] values, String[] labels)`
    `DataForm.Field.Builder` | `setRequired(boolean required)`
    `DataForm.Field.Builder` | `setValue(Boolean value)`
    `DataForm.Field.Builder` | `setValue(String value)`
    `DataForm.Field.Builder` | `setValues(String[] values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(Element form,
                         DataForm.FieldType type,
                         String var)

  - ### Method Detail

    - #### setLabel

          public DataForm.Field.Builder setLabel(String label)

    - #### setDesc

          public DataForm.Field.Builder setDesc(String desc)

    - #### setRequired

          public DataForm.Field.Builder setRequired(boolean required)

    - #### addOption

          public DataForm.Field.Builder addOption(String value)

    - #### addOption

          public DataForm.Field.Builder addOption(String value,
                                                  String label)

    - #### setOptions

          public DataForm.Field.Builder setOptions(String[] values)

    - #### setOptions

          public DataForm.Field.Builder setOptions(String[] values,
                                                   String[] labels)

    - #### setValue

          public DataForm.Field.Builder setValue(Boolean value)

    - #### setValue

          public DataForm.Field.Builder setValue(String value)

    - #### setValues

          public DataForm.Field.Builder setValues(String[] values)

    - #### build

          public Element build()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.